Description: fix POD spelling errors
Origin: vendor
Forwarded: no
Author: Jonathan Yu <jawnsy@cpan.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2023-11-02

--- a/TreeDumper.pm
+++ b/TreeDumper.pm
@@ -1769,7 +1769,7 @@
   
 =head2 $Data::TreeDumper::Displaycallerlocation
 
-This package variable is very usefull when you use B<Data::TreeDumper> and don't know where you called
+This package variable is very useful when you use B<Data::TreeDumper> and don't know where you called
 B<PrintTree> or B<DumpTree>, ie when debugging. It displays the filename and line of call on STDOUT.
 It can't also be set as an override,  DISPLAY_CALLER_LOCATION => 1.
 
@@ -1944,7 +1944,7 @@
   
   ($tree_type, $replacement_tree, @nodes_to_display) = $your_filter->($tree, $level, $path, $nodes_to_display, $setup) ;
 
-Filter are not as complicated as they sound and they are very powerfull, 
+Filter are not as complicated as they sound and they are very powerful,
 especially when using the path argument.  The path idea was given to me by 
 another module writer but I forgot whom. If this writer will contact me, I 
 will give him the proper credit.
@@ -2526,10 +2526,10 @@
 =item 9 $link_address (link to another element, may be undef)
 
 
-=item 10 $perl_size (size of the lement in bytes, see option B<DISPLAY_PERL_SIZE>)
+=item 10 $perl_size (size of the element in bytes, see option B<DISPLAY_PERL_SIZE>)
 
 
-=item 11 $perl_address (adress (physical) of the element, see option B<DISPLAY_PERL_ADDRESS>)
+=item 11 $perl_address (address (physical) of the element, see option B<DISPLAY_PERL_ADDRESS>)
 
 
 =item 12 $setup (the dumper's settings)
